> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Libraries

> Get the configurations of libraries



## OpenAPI

````yaml https://document-assistant.us.aodocs.app/openapi.json post /assistant/api/v1/tenants/{tenant}/libraries:get
openapi: 3.1.0
info:
  title: Document Assistant API
  description: |
    <p>
      The Document Assistant API enables developers to integrate document-based assistant
      functionalities into their applications using AODocs.
    </p>
    <p>
      The first step is to enable AIDA (AODocs Intelligent Document Assistant) in your tenant.
      The support team will provide you with the necessary information on how to get started.
    </p>
    <p>
      The second step is to enable AIDA on libraries. You need to be an administrator of the
      library to do this.<br />
      AIDA can answer questions only from those documents that are in an AIDA enabled
      library.<br />
      We create a vector store index for these documents. This can take some time. The get
      library API provides the status of the indexation and an estimate of the time
      remaining.<br />
      The content of the index is automatically kept up-to-date near real time with the
      content changes.
    </p>
    <p>
      The third step is to ask questions based on the AODocs documents.<br />
      AIDA automatically filters the results based on the user's permissions.
    </p>
    <p>
      <strong>Authentication:</strong> All API endpoints require a valid OAuth2 token in the
      Authorization header. Ensure the client ID of the OAuth2 token is whitelisted in AODocs.
    </p>
  version: 1.1.0
servers:
  - url: https://document-assistant.us.aodocs.app
    description: Production US
  - url: https://document-assistant.eu.aodocs.app
    description: Production EU
security: []
paths:
  /assistant/api/v1/tenants/{tenant}/libraries:get:
    post:
      tags:
        - library
      summary: Get Libraries
      description: Get the configurations of libraries
      operationId: get_libraries_assistant_api_v1_tenants__tenant__libraries_get_post
      parameters:
        - name: tenant
          in: path
          required: true
          schema:
            type: string
            description: The domain of the customer
            examples:
              - example.com
            title: Tenant
          description: The domain of the customer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: array
              items:
                type: string
              title: Api Libraries
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ApiLibrary'
                title: >-
                  Response Get Libraries Assistant Api V1 Tenants  Tenant 
                  Libraries Get Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ApiLibrary:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        state:
          anyOf:
            - type: string
            - type: 'null'
          title: State
        use_default_capabilities:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Use Default Capabilities
          description: Whether this library uses tenant default capabilities.
        capabilities:
          items:
            $ref: '#/components/schemas/ApiLibraryCapability'
          type: array
          title: Capabilities
          description: List of library capabilities
          default: []
        indexation_status:
          anyOf:
            - $ref: '#/components/schemas/ApiIndexationStatus'
            - type: 'null'
        statistics:
          anyOf:
            - $ref: '#/components/schemas/ApiStatistics'
            - type: 'null'
        default_agent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Default Agent Id
          description: Default agent ID for this library, overrides tenant default.
      type: object
      title: ApiLibrary
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ApiLibraryCapability:
      properties:
        capability:
          $ref: '#/components/schemas/CapabilityType'
          description: The capability type
        enabled:
          type: boolean
          title: Enabled
          description: Whether the capability is enabled
          default: true
      type: object
      required:
        - capability
      title: ApiLibraryCapability
    ApiIndexationStatus:
      properties:
        documents_in_library:
          type: integer
          title: Documents In Library
        indexed_documents:
          type: integer
          title: Indexed Documents
        estimated_minutes_to_completion:
          anyOf:
            - type: integer
            - type: 'null'
          title: Estimated Minutes To Completion
      type: object
      required:
        - documents_in_library
        - indexed_documents
        - estimated_minutes_to_completion
      title: ApiIndexationStatus
    ApiStatistics:
      properties:
        documents_in_library:
          type: integer
          title: Documents In Library
        indexed_documents:
          type: integer
          title: Indexed Documents
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - documents_in_library
        - indexed_documents
        - updated_at
      title: ApiStatistics
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    CapabilityType:
      type: string
      enum:
        - chat
        - document_vector_indexing
        - library_summarization
        - metadata_extraction
        - document_splitting
        - document_conflict_checking
        - document_editing
        - document_translation
        - document_validation
        - advanced_document_indexing
        - transcription
      title: CapabilityType
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````